//
// Copyright © 2024 MediaMall Technologies, Inc.  All rights reserved.
//

#import "Logger.h"

@implementation Logger

+ (instancetype)shared
{
    static dispatch_once_t once;
    static Logger *instance = nil;
    dispatch_once(&once, ^{ instance = [[Logger alloc] init]; });
    return instance;
}

- (void)log:(YCSLogLevel)level message:(NSString *)message
{
    if (level >= YCSLogLevelWarning)
        NSLog(@"%@", message);
}

@end
