//
// Copyright © 2024 MediaMall Technologies, Inc.  All rights reserved.
//

#ifndef ServiceCell_h
#define ServiceCell_h

#import <UIKit/UIKit.h>
#import <YounifyConnectSDK/YounifyConnectSDK.h>
#import "ServiceCellActionDelegate.h"

NS_ASSUME_NONNULL_BEGIN

@interface ServiceCell : UITableViewCell

@property (nonatomic, strong) YCSStreamingService *service;
@property (nullable, nonatomic, weak) id <ServiceCellActionDelegate> actionDelegate;

- (void)updateWithService:(YCSStreamingService *)service;

@end

NS_ASSUME_NONNULL_END

#endif /* ServiceCell_h */
