//
// Copyright © 2024 MediaMall Technologies, Inc.  All rights reserved.
//

#ifndef CategoryCell_h
#define CategoryCell_h

#import <UIKit/UIKit.h>
#import "FetchCategoryServicesResult.h"
#import "CategoryCellActionDelegate.h"

NS_ASSUME_NONNULL_BEGIN

@interface CategoryCell : UITableViewCell

@property (nullable, nonatomic, weak) id <CategoryCellActionDelegate> actionDelegate;

- (void)updateWithCategoryData:(FetchCategoryServicesResult *)categoryData;
- (void)reloadData;
- (void)stopLoading;

@end

NS_ASSUME_NONNULL_END

#endif /* CategoryCell_h */
