//
// Copyright © 2024 MediaMall Technologies, Inc.  All rights reserved.
//

#ifndef ContentViewController_h
#define ContentViewController_h

#import <UIKit/UIKit.h>
#import <YounifyConnectSDK/YounifyConnectSDK.h>

NS_ASSUME_NONNULL_BEGIN

@interface ContentViewController : UIViewController

- (void)browse:(YCSStreamingService *)service content:(YCSStreamingContent *)content completionHandler:(void(^)(void))completionHandler;
- (void)search:(NSArray<YCSStreamingService *> *)services searchPhrase:(NSString *)searchPhrase completionHandler:(void(^)(void))completionHandler;

@end

NS_ASSUME_NONNULL_END

#endif /* ContentViewController_h */
