//
// Copyright © 2024 MediaMall Technologies, Inc.  All rights reserved.
//

#ifndef TokenManager_h
#define TokenManager_h

#import <Foundation/Foundation.h>
#import <YounifyConnectSDK/YounifyConnectSDK.h>
#import "UserTokens.h"

NS_ASSUME_NONNULL_BEGIN

@interface TokenManager : NSObject<YCSTokenDelegate>

@property (nonatomic, strong) UserTokens *userTokens;

+ (TokenManager *)shared;

@end

NS_ASSUME_NONNULL_END

#endif /* TokenManager_h */
