//
// Copyright © 2024 MediaMall Technologies, Inc.  All rights reserved.
//

#import "ViewController.h"
#import "ServicesViewController.h"

@interface ViewController ()

@property (nonatomic, strong) ServicesViewController *services;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor blackColor];
}

- (void)viewWillAppear:(BOOL)animated
{
    [self refresh];
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    self.services = (ServicesViewController *)[segue destinationViewController];
}

- (void)refresh
{
    [self.services refresh];
}

@end
